{...}: {
  programs.alacritty = {
    enable = true;

    settings = {
      general.live_config_reload = true;
      env.TERM = "xterm-256color";
      bell.duration = 0;
      cursor.style = "Block";

      scrolling = {
        history = 10000;
        multiplier = 3;
      };

      window = {
        opacity = 0.9;
      };

      mouse.bindings = [
        {
          mouse = "Middle";
          action = "PasteSelection";
        }
      ];

      colors = {
        primary = {
          background = "0x000000";
          foreground = "0xeaeaea";
        };
      };
    };
  };
}
